////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// primitives01.c
// - Illustration of the primitives drawing functions.
// - Default coordinate scale and system.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open a display and set graphics parameters	
	double w, h;
	ts5_install_display();
	ts5_get_display_size(1, &w, &h);

	// draw pixels
	int i, j;
	ts5_clear_display();
	for (i=-10; i<=10; i++) {
		for (j=-10; j<=10; j++) {
			ts5_draw_pixel(i*10.0, j*10.0);
		}		
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);

	// draw lines
	ts5_clear_display();
	for (i=-10; i<=10; i++) {
		ts5_draw_line(0.0, 0.0, i*10.0, 100.0);
		ts5_draw_line(0.0, 0.0, i*10.0, -100.0);
		ts5_draw_line(0.0, 0.0, 100.0, i*10.0);
		ts5_draw_line(0.0, 0.0, -100.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	// draw rectangles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_rectangle(i*10.0, i*10.0, -i*10.0, -i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	// draw rounded rectangles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_rounded_rectangle(i*10.0, i*10.0, -i*10.0, -i*10.0, 10.0, 10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	// draw triangles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_triangle(0.0, i*10.0, -i*10.0, -i*5.0, i*10.0, -i*5.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	// draw circles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_circle(0.0, 0.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	// draw ellipses
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_ellipse(0.0, 0.0, i*20.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);

	// draw arcs
	for (i=0; i<=72; i++) {
		ts5_clear_display();
		ts5_draw_arc(0.0, 0.0, 100.0, i*10.0, 20.0);
		ts5_flip_display();
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w/2.0 - 50.0, -h/2.0+50);
	
	return 0;
}
	
	
	