////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file serialport.h
/// Declarations of serial port functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"


#ifdef __cplusplus
extern "C" {
#endif

int ts5_define_serialport_response_input(char *portname);
int ts5_define_serialport_button(int device, int button);
int ts5_get_num_serialports();
int ts5_get_num_serialport_buttons(int device);

int ts5_define_serialport_trigger_input(char *portname);

void ts5_simulate_serialport_trigger_input
	(int device, unsigned char value, double interval);

int ts5_define_serialport_trigger_output(char *portname);

void ts5_send_serialport_trigger(int device, unsigned char value);

TS5_SERIALPORT *ts5_get_serialport(int device);

#ifdef __cplusplus
}
#endif

