////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file graphics_internal.c
/// Definitions of internal graphics parameter functions.
////////////////////////////////////////////////////////////////////////////////

#include "../include/tscope5/graphics_internal.h"
#include "../include/tscope5/system_internal.h"

/// Is the graphics subsystem installed?
int _ts5_is_graphics_installed = 0;


////////////////////////////////////////////////////////////////////////////////
/// Do some checks at the start of each graphics function.
///
/// \param calling_function Name the function that calls for 
/// this check or installation.
///
/// Checks whether Tscope5 is installed. If not, Tscope5 is installed.
////////////////////////////////////////////////////////////////////////////////
void ts5_check_graphics(char *calling_function)
{
	ts5_log(TS5_LOGLEVEL_6, "%s: ts5_check_graphics\n", calling_function);
	if (!_ts5_is_tscope5_installed) {
		ts5_install_tscope5(calling_function);
	}
}

